LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
salhelper::ConditionWaiter Class Reference

`#include <condition.hxx>`

## Classes
struct | timedout

## Public Member Functions
| ConditionWaiter (Condition &aCond)
| ConditionWaiter (Condition &aCond, sal_uInt32 milliSec)
| ~ConditionWaiter ()

## Constructor & Destructor Documentation

## ◆ ConditionWaiter() [1/2]

salhelper::ConditionWaiter::ConditionWaiter | ( | Condition & | aCond | ) |

## ◆ ConditionWaiter() [2/2]

salhelper::ConditionWaiter::ConditionWaiter | ( | Condition & | aCond,
|  | sal_uInt32 | milliSec )

Exceptions

  timedout |

## ◆ ~ConditionWaiter()

salhelper::ConditionWaiter::~ConditionWaiter | ( |  | ) |

The documentation for this class was generated from the following file:

- salhelper/condition.hxx